; Network Driver Setup
; Definition file
; 2006-Mar-16

[Setup]
; Title, BgTitle, FontName, License can be specified in following format.
;  Title.<LangID>
; In this format, you can specify language dependent strings.
; If the .<LangID> entry not found, installer uses no extension entry.
;
Version=1.00
Title=iR Drivers - Setup Wizard

; OS Filter by Hex
; ??? | 2KXP   NT   98Me  95
; 000 |  000  0|00  00|0  001 ---  0x0001(Win95)
; 000 |  000  0|00  00|0  010 ---  0x0002(Win95 OSR2)
; 000 |  000  0|00  00|1  000 ---  0x0008(Win98)
; 000 |  000  0|00  01|0  000 ---  0x0010(Win98 SE)
; 000 |  000  0|00  10|0  000 ---  0x0020(WinMe)
; 000 |  000  0|01  00|0  000 ---  0x0040(WinNT 3.5)
; 000 |  000  0|10  00|0  000 ---  0x0080(WinNT 4)
; 000 |  001  0|00  00|0  000 ---  0x0200(Win2000)
; 000 |  010  0|00  00|0  000 ---  0x0400(WinXP/.NET Server)
; If you will mask installation on only Win2000(and NT3.5),
; you should set 4BF(1+2+8+16+32+64+128+1024)
OSFilter=0x638

; devconfig_config_device timeout(IP address setting timeout)
DevconfigConfigTimeout=60

[Functions]
; Default function flags
; 0x1 Printer
; 0x2 FAX
; 0x4 Scanner
DefaultTarget=0x1
DefaultTestPrint=0x1

[Printers]
; PrinterNames=0x1,0x2,0x4...  with ACC. Key
PrinterNames=&UFRII LT Printer Driver,&PCL5e Printer Driver,PC&L6 Printer Driver
DefaultTestPrint=0x7

;Canon Driver Information Assist Service Install Information
[DIAS]
Version=1.50
BuildNumber=1505-1
ServiceStart=1
;Path from Setup.exe 
SetupPath=.\misc\DIASsetup.exe
DiskSpace=15

[Supported Devices]
; canPdInfoProductName = <Section Name>
iR1018=WithPCL_WithOutFAX
iR1022=WithPCL_WithFAX
iR1023=WithPCL_WithFAX
;iR1018=WithOutPCL_WithOutFAX
;iR1022=WithOutPCL_WithFAX
;iR1023=WithOutPCL_WithFAX


[WithOutPCL_WithFAX]
; Implemented function flags
; 0x1 Printer
; 0x2 FAX
; 0x4 Scanner
Functions=0x3
InfRoot=..\..\
DiskSpace=10
; Implemented Support Printer flags
; Refer to [Printers] Section
Printers=0x1
DefaultPrinters=0x1

[WithOutPCL_WithFAX.PRINT.1.98]
Hwid=LPTENUM\CanoniR1018/1022/102D03B
InfName=win98_me\CNLB0UL0.inf
InfGUID={3A51067F-EA46-45bc-A0A4-06FB05F0D966}
DiskSpace=24

[WithOutPCL_WithFAX.PRINT.1.NT5]
Hwid=USBPRINT\CanoniR1018/1022/102D03B
InfName=win2k_xp\CNLB0U.INF
InfGUID={3A51067F-EA46-45bc-A0A4-06FB05F0D966}
DiskSpace=50

[WithOutPCL_WithFAX.FAX.98]
Hwid=LPTENUM\CanoniR1018/1022/102A80E
InfName=win98_me\FA9MUSL0.inf
InfGUID={ADF94EFF-19E2-47e1-830D-A705662D9B2A}
DiskSpace=25

[WithOutPCL_WithFAX.FAX.NT5]
Hwid=USBPRINT\CanoniR1018/1022/102A80E
InfName=win2k_xp\cnxrpuw2.inf
InfGUID={ADF94EFF-19E2-47e1-830D-A705662D9B2A}
DiskSpace=50


[WithOutPCL_WithOutFAX]
; Implemented function flags
; 0x1 Printer
; 0x2 FAX
; 0x4 Scanner
Functions=0x1
InfRoot=..\..\
DiskSpace=10
; Implemented Support Printer flags
; Refer to [Printers] Section
Printers=0x1
DefaultPrinters=0x1

[WithOutPCL_WithOutFAX.PRINT.1.98]
Hwid=LPTENUM\CanoniR1018/1022/102D03B
InfName=win98_me\CNLB0UL0.inf
InfGUID={3A51067F-EA46-45bc-A0A4-06FB05F0D966}
DiskSpace=24

[WithOutPCL_WithOutFAX.PRINT.1.NT5]
Hwid=USBPRINT\CanoniR1018/1022/102D03B
InfName=win2k_xp\CNLB0U.INF
InfGUID={3A51067F-EA46-45bc-A0A4-06FB05F0D966}
DiskSpace=50



[WithPCL_WithFAX]
; Implemented function flags
; 0x1 Printer
; 0x2 FAX
; 0x4 Scanner
Functions=0x3
InfRoot=..\..\
DiskSpace=10
; Implemented Support Printer flags
; Refer to [Printers] Section
Printers=0x7
DefaultPrinters=0x3

[WithPCL_WithFAX.PRINT.1.98]
Hwid=LPTENUM\CanoniR1018/1022/102D03B
InfName=win98_me\CNLB0UL0.inf
InfGUID={3A51067F-EA46-45bc-A0A4-06FB05F0D966}
DiskSpace=24

[WithPCL_WithFAX.PRINT.1.NT5]
Hwid=USBPRINT\CanoniR1018/1022/102D03B
InfName=win2k_xp\CNLB0U.INF
InfGUID={3A51067F-EA46-45bc-A0A4-06FB05F0D966}
DiskSpace=50

[WithPCL_WithFAX.PRINT.2.98]
Hwid=LPTENUM\CanoniR1018/1022/1025050
InfGUID={8DC2D8D8-7D80-4112-87C6-4D6564510B36}
InfName=win98_me\P59MUSL0.inf
DiskSpace=24

[WithPCL_WithFAX.PRINT.2.NT5]
Hwid=USBPRINT\CanoniR1018/1022/1025050
InfName=win2k_xp\P52KUSAL.INF
InfGUID={8DC2D8D8-7D80-4112-87C6-4D6564510B36}
DiskSpace=45

[WithPCL_WithFAX.PRINT.4.98]
Hwid=LPTENUM\CanoniR1018/1022/10255E8
InfName=win98_me\P69MUSL0.inf
InfGUID={1A20C20D-C94B-473d-917A-CE2B857295E5}
DiskSpace=39

[WithPCL_WithFAX.PRINT.4.NT5]
Hwid=USBPRINT\CanoniR1018/1022/10255E8
InfName=win2k_xp\P62KUSAL.INF
InfGUID={1A20C20D-C94B-473d-917A-CE2B857295E5}
DiskSpace=45

[WithPCL_WithFAX.FAX.98]
Hwid=LPTENUM\CanoniR1018/1022/102A80E
InfName=win98_me\FA9MUSL0.inf
InfGUID={ADF94EFF-19E2-47e1-830D-A705662D9B2A}
DiskSpace=25

[WithPCL_WithFAX.FAX.NT5]
Hwid=USBPRINT\CanoniR1018/1022/102A80E
InfName=win2k_xp\cnxrpuw2.inf
InfGUID={ADF94EFF-19E2-47e1-830D-A705662D9B2A}
DiskSpace=50



[WithPCL_WithOutFAX]
; Implemented function flags
; 0x1 Printer
; 0x2 FAX
; 0x4 Scanner
Functions=0x1
InfRoot=..\..\
DiskSpace=10
; Implemented Support Printer flags
; Refer to [Printers] Section
Printers=0x7
DefaultPrinters=0x3

[WithPCL_WithOutFAX.PRINT.1.98]
Hwid=LPTENUM\CanoniR1018/1022/102D03B
InfName=win98_me\CNLB0UL0.inf
InfGUID={3A51067F-EA46-45bc-A0A4-06FB05F0D966}
DiskSpace=24

[WithPCL_WithOutFAX.PRINT.1.NT5]
Hwid=USBPRINT\CanoniR1018/1022/102D03B
InfName=win2k_xp\CNLB0U.INF
InfGUID={3A51067F-EA46-45bc-A0A4-06FB05F0D966}
DiskSpace=50

[WithPCL_WithOutFAX.PRINT.2.98]
Hwid=LPTENUM\CanoniR1018/1022/1025050
InfGUID={8DC2D8D8-7D80-4112-87C6-4D6564510B36}
InfName=win98_me\P59MUSL0.inf
DiskSpace=24

[WithPCL_WithOutFAX.PRINT.2.NT5]
Hwid=USBPRINT\CanoniR1018/1022/1025050
InfName=win2k_xp\P52KUSAL.INF
InfGUID={8DC2D8D8-7D80-4112-87C6-4D6564510B36}
DiskSpace=45

[WithPCL_WithOutFAX.PRINT.4.98]
Hwid=LPTENUM\CanoniR1018/1022/10255E8
InfName=win98_me\P69MUSL0.inf
InfGUID={1A20C20D-C94B-473d-917A-CE2B857295E5}
DiskSpace=39

[WithPCL_WithOutFAX.PRINT.4.NT5]
Hwid=USBPRINT\CanoniR1018/1022/10255E8
InfName=win2k_xp\P62KUSAL.INF
InfGUID={1A20C20D-C94B-473d-917A-CE2B857295E5}
DiskSpace=45


[ExtractShareNameEditStr]
0=iR1018
1=iR1022
2=UFRIILT
3=PCL5e
4=PCL6
5=FAX


[LANGUAGES]
; 0000 ---- Neutral(Default)
0000=,NiHRes.dll

; When
;    HIWORD | LOWORD
; 0x 0001     XXXX     Before
; 0x 0002     XXXX     After
; 0x XXXX     0001     Dlg_Start
; 0x XXXX     0002     Dlg_SdWelcome
; 0x XXXX     0003     Dlg_SdLicense
; 0x XXXX     0004     INIT
; 0x XXXX     0005     Dlg_DiscoveryDevice
; 0x XXXX     0006     Dlg_SelectTarget
; 0x XXXX     0007     Dlg_PortSettings
; 0x XXXX     0008     Dlg_ConfirmSettings
; 0x XXXX     0009     Dlg_InstallProgress
; 0x XXXX     000A     Dlg_Complete
; 0x XXXX     000B     Dlg_SetDefault
; 0x XXXX     000C     Dlg_PrintTestpage
; 0x XXXX     000D     Dlg_ObjDialogs
; 0x XXXX     000E     UNINIT
; 0x XXXX     000F     Dlg_SdFinish
; 
; Action
;  DoInstall --- DoInstall .inx file
;  LaunchApp --- Launch Application
;
; Name --- Display Name 
;	(can be specified language id same as Title, BgTitle, and FontName in [Setup] section.)
; Cmd --- Target file
; CmdLine --- Command line options
; ErrMsgOnLang --- ErrorMessages when the target installer's lang is different from this.
; ErrMsgOnBegin --- ErrorMessages when the file is not found.
; ErrMsgOnLaunch ---- ErrorMessages when the file is not found.
;            You can specify message on begin, and on launch.
;            0xXXXXXXXX
;            HIWORD ---- Abort or Not
;            LOWORD ---- Message id.
;            If you don't want to display the message, write 0 or don't write the entries.
;            You can specify message id up to 10.
;            These id is used MSG_ADDITIONAL_XX(00-10) on value.shl.

;            
;